org.apache.cassandra.transport

## Class CBUtil.BufferBuilder

- java.lang.Object
- - org.apache.cassandra.transport.CBUtil.BufferBuilder

- Enclosing class:
    CBUtil

      public static class CBUtil.BufferBuilder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CBUtil.BufferBuilder(int simpleBuffers, int stringBuffers, int valueBuffers)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CBUtil.BufferBuilder` | `add(org.jboss.netty.buffer.ChannelBuffer cb)`
    `CBUtil.BufferBuilder` | `addString(java.lang.String str)`
    `CBUtil.BufferBuilder` | `addValue(java.nio.ByteBuffer bb)`
    `org.jboss.netty.buffer.ChannelBuffer` | `build()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CBUtil.BufferBuilder

          public CBUtil.BufferBuilder(int simpleBuffers,
                              int stringBuffers,
                              int valueBuffers)

  - ### Method Detail

    - #### add

          public CBUtil.BufferBuilder add(org.jboss.netty.buffer.ChannelBuffer cb)

    - #### addString

          public CBUtil.BufferBuilder addString(java.lang.String str)

    - #### addValue

          public CBUtil.BufferBuilder addValue(java.nio.ByteBuffer bb)

    - #### build

          public org.jboss.netty.buffer.ChannelBuffer build()

Copyright © 2014 The Apache Software Foundation